# OpenLayers.Strategy.Paging

Strategy for vector feature paging

#### Inherits from

- OpenLayers.Strategy

Summary

OpenLayers.Strategy.Paging | Strategy for vector feature paging
Constructor |
OpenLayers.Strategy.Paging | Create a new paging strategy.
Functions |
activate | Activate the strategy.
deactivate | Deactivate the strategy.
pageCount | Get the total count of pages given the current cache of features.
pageNum | Get the zero based page number.
pageLength | Gets or sets page length.
pageNext | Display the next page of features.
pagePrevious | Display the previous page of features.

### Constructor

### OpenLayers.Strategy.Paging

Create a new paging strategy.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

### Functions

### activate

> activate: function()

Activate the strategy. Register any listeners, do appropriate setup.

#### Returns

{Boolean} The strategy was successfully activated.

### deactivate

> deactivate: function()

Deactivate the strategy. Unregister any listeners, do appropriate tear-down.

#### Returns

{Boolean} The strategy was successfully deactivated.

### pageCount

> pageCount: function()

Get the total count of pages given the current cache of features.

#### Returns

{Integer} The page count.

### pageNum

> pageNum: function()

Get the zero based page number.

#### Returns

{Integer} The current page number being displayed.

### pageLength

> pageLength: function( | newLength | )

Gets or sets page length.

#### Parameters

newLength: {Integer} Optional length to be set.

#### Returns

{Integer} The length of a page (number of features per page).

### pageNext

> pageNext: function( | event | )

Display the next page of features.

#### Returns

{Boolean} A new page was displayed.

### pagePrevious

> pagePrevious: function()

Display the previous page of features.

#### Returns

{Boolean} A new page was displayed.

> activate: function()

Activate the strategy.

> deactivate: function()

Deactivate the strategy.

> pageCount: function()

Get the total count of pages given the current cache of features.

> pageNum: function()

Get the zero based page number.

> pageLength: function( | newLength | )

Gets or sets page length.

> pageNext: function( | event | )

Display the next page of features.

> pagePrevious: function()

Display the previous page of features.
Abstract vector layer strategy class.
Close